Settings
Set ROCm flash attention
PUT
Toggle AOTriton flash attention. Takes effect on the next launch.
enabled*EnabledEnable or disable AOTriton flash attention
Successful Response
application/json- response
success*SuccessWhether the operation succeeded
changed*ChangedWhether the setting was actually changed
needs_restart*Needs RestartWhether the app must restart for the change to take effect
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/rocm-flash-attention?enabled=true'Example Response
{ "success": true, "changed": true, "needs_restart": true}